Bug 1564484 - [abrt] gnome-calendar: g_type_check_instance_cast(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: g_type_check_instance_cast(): gnome-calendar killed by...
Keywords:
Status: CLOSED DUPLICATE of bug 1281609
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b1bfde8a5b2b897a1e9dfa490a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 12:24 UTC by Yajo
Modified: 2019-07-03 21:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:33:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.60 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: cgroup (351 bytes, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: core_backtrace (17.53 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: cpuinfo (1.67 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: dso_list (20.74 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: environ (1.27 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: exploitable (110 bytes, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: maps (96.05 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: mountinfo (5.48 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: open_fds (1.28 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details
File: var_log_messages (8.23 KB, text/plain)
2018-04-06 12:24 UTC, Yajo
no flags Details

Description Yajo 2018-04-06 12:24:21 UTC
Description of problem:
It was just open and died.

Version-Release number of selected component:
gnome-calendar-3.26.4-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-calendar
journald_cursor: s=5af89bb79357495a816e36f4fcf7bd44;i=2867b;b=01bc7085089041919435b5bbbbd86cc8;m=258b098ffa;t=5692ccbcd8706;x=deb13fd27d701fc5
kernel:         4.15.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4052
 #1 source_changed at ../src/gcal-window.c:963
 #6 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 source_registry_source_changed_idle_cb at /usr/src/debug/evolution-data-server-3.26.6-1.fc27.x86_64/src/libedataserver/e-source-registry.c:567
 #15 g_main_context_iteration at gmain.c:3929
 #16 g_application_run at gapplication.c:2401

Comment 1 Yajo 2018-04-06 12:24:27 UTC
Created attachment 1418087 [details]
File: backtrace

Comment 2 Yajo 2018-04-06 12:24:28 UTC
Created attachment 1418088 [details]
File: cgroup

Comment 3 Yajo 2018-04-06 12:24:30 UTC
Created attachment 1418089 [details]
File: core_backtrace

Comment 4 Yajo 2018-04-06 12:24:31 UTC
Created attachment 1418090 [details]
File: cpuinfo

Comment 5 Yajo 2018-04-06 12:24:33 UTC
Created attachment 1418091 [details]
File: dso_list

Comment 6 Yajo 2018-04-06 12:24:34 UTC
Created attachment 1418092 [details]
File: environ

Comment 7 Yajo 2018-04-06 12:24:36 UTC
Created attachment 1418093 [details]
File: exploitable

Comment 8 Yajo 2018-04-06 12:24:37 UTC
Created attachment 1418094 [details]
File: limits

Comment 9 Yajo 2018-04-06 12:24:39 UTC
Created attachment 1418095 [details]
File: maps

Comment 10 Yajo 2018-04-06 12:24:41 UTC
Created attachment 1418096 [details]
File: mountinfo

Comment 11 Yajo 2018-04-06 12:24:42 UTC
Created attachment 1418097 [details]
File: open_fds

Comment 12 Yajo 2018-04-06 12:24:44 UTC
Created attachment 1418098 [details]
File: proc_pid_status

Comment 13 Yajo 2018-04-06 12:24:45 UTC
Created attachment 1418099 [details]
File: var_log_messages

Comment 14 Igor Raits 2018-08-02 15:33:04 UTC
Please test with latest updates and reopen if still reproducible.

Comment 15 Michael Catanzaro 2019-07-03 21:32:18 UTC

*** This bug has been marked as a duplicate of bug 1281609 ***


Note You need to log in before you can comment on or make changes to this bug.